• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

XF 1.5 Upgrade Issue Support Needed

Mark T

Active member
Attempting to do the upgrade from 1.5.10 to 1.5.10a today.

Third attempt.

1. Turn off forum
2. Disable any addons
3. ftp files to server
4. goto install/ url.

The page says "You are already running the current version (1.5.10)."
acp does not show 1.5.10a version

And I get server errors everytime after upload.
Fatal Error: Class 'Zend_Controller_Response_Http' not found
11 minutes ago - library/XenForo/FrontController.php:253
Fatal Error: Interface 'Zend_Cache_Backend_ExtendedInterface' not found
11 minutes ago - library/Zend/Cache/Backend/File.php:41
Fatal Error: syntax error, unexpected ''' (T_ENCAPSED_AND_WHITESPACE)
15 minutes ago - library/XenForo/Model/User.php:1164
Third attempt no cigar.

Any idea's?

Mark T

Active member
Ok. I did read that after I posted, in another thread here. Thanks for the reply. I think the readme file in the bundle should have reflected that.

Q. So the server errors are also just an anomoly of the upgrade to 10a?

Mark T

Active member
Those errors would appear immediatly after upload of all files when I returned to acp.

Note, board was off and any addons disabled.

And no, they are not recurring. Cleared log, and has stayed cleared since. Board and addons enabled.


Well-known member
AFAIK the 1.5.10 -> 1.5.10a update you only needed to upload the files from the 1.5.10a package, no need to run the installer.

I have the same problem.

First, this should be written also this way in the upgrade instructions within the announcement. Nowhere it is mentioned, Not to run the installer ;)

Secondly, how can I protect my files, if I do not run the installer? Everybody can access the install directory via the URL and click on "rebuild master data" or "make a fresh install"